
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>创建Eclipse游戏插件，第1部分: 入门 / iVAN</title>

    <meta name="description" content="创建Eclipse游戏插件，第1部分: 入门 虽然大多数用户把 Eclipse 当成构建 Java 应用程序的集成开发环境,但它实际上更加基础.Eclipse 是个构建插件的框架,允许任何开发人员扩展它的功能来解决几乎任何问题,只要利用一套 API 和可用的库即可.在这个分四个部分的 &quot;创建 Eclipse 游戏插件&quot; 教程系列中,将解决大多数程序员每天编程都会遇到的一个迫切的问题:如何不用切换应用程序就抽身玩一个快速的视频游戏,同时还不会很明显.还将学习 Eclipse 的插件架构,学习如何定义自己的插件.用 SWT  ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">创建Eclipse游戏插件，第1部分: 入门</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>虽然大多数用户把 Eclipse 当成构建 Java 应用程序的集成开发环境，但它实际上更加基础。Eclipse 是个构建插件的框架，允许任何开发人员扩展它的功能来解决几乎任何问题，只要利用一套 API 和可用的库即可。在这个分四个部分的 “创建 Eclipse 游戏插件” 教程系列中，将解决大多数程序员每天编程都会遇到的一个迫切的问题：如何不用切换应用程序就抽身玩一个快速的视频游戏，同时还不会很明显。还将学习 Eclipse 的插件架构，学习如何定义自己的插件、用 SWT 开发界面，并创建与其他 Eclipse 资源交互的代码。</p>
<p>开始之前</p>
<p>这份教程是四部分的 “创建 Eclipse 游戏插件” 系列的第 1 部分，它侧重于构建简单射击视频游戏的框架，通过创建插件、安装插件、把插件与任务列表集成并用 SWT 和 OpenGL 添加一些基本的可视组件，可以在 Eclipse 内部启动和玩这个游戏。将开发一个简单的射击游戏，读取在任务视图中遇到的虫子，并把这些虫子摧毁。游戏将在 Eclipse 内部作为插件运行，从而演示如何编写 Eclipse API，以及如何使用标准小部件工具包（SWT）、开放图形库（OpenGL）和轻量级 Java 游戏库（LWJGL）。</p>
<p>关于这个系列</p>
<p>在这个系列中，将介绍用来创建特性完整的 Eclipse 插件的基本技术、工具和库，将使用标准小部件工具包（SWT）和 OpenGL 库提供图形。第 1 部分介绍如何构建简单视频游戏的框架，通过创建插件，可以在 Eclipse 内部启动并玩这个游戏。第 2 部分利用第 1 部分创建的基本框架，开始用 Open GL 添加实际的可视元素。第 3 部分添加实际的游戏元素，让用户能够与第 2 部分中创建的图形交互。第 4 部分将前三部分创建的所有内容组合在一起工作。</p>
<p>关于这份教程</p>
<p>在第 1 部分中，将介绍 Eclipse 的插件架构，学习如何用 Eclipse 工具本身定义自己的插件。还将开始利用 SWT 开发插件的简单用户界面。还将创建代码，演示如何与其他 Eclipse 资源交互 —— 在这个示例中，是与任务列表交互。在结束时，将拥有一个良好的框架，可以构建一个能直接在 Eclipse 内工作的简单的射击视频游戏；在剩下的教程中，将继续添加功能。</p>
<p>前提条件</p>
<p>将需要 Eclipse V3.2 和 Java 编译器和解释器 V1.4 或以上版本。</p>
<p>创建插件</p>
<p>我们从使用 Eclipse Plug-in 向导来定义插件开始这个开发过程。</p>
<p>启动 Eclipse 并定义项目</p>
<p>启动 Eclipse，选择 File &gt; New &gt; Project。</p>
<p>在 New Project 屏幕中，选择 Plug-in Development 文件夹，并选择 Plug-in Project，如图 1 所示。</p>
<p>图 1. 选择 Plug-in Project 向导</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2g0Lm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMDk1MTRTOTIxLTAuanBn.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 01:49:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%8f%92%e4%bb%b6/" title="插件">插件</a>, <a href="https://www.iamivan.net/tag/%e9%83%a8%e5%88%86/" title="部分">部分</a>, <a href="https://www.iamivan.net/tag/%e7%ae%80%e5%8d%95/" title="简单">简单</a>, <a href="https://www.iamivan.net/tag/eclipse/" title="eclipse">eclipse</a>, <a href="https://www.iamivan.net/tag/%e5%a6%82%e4%bd%95/" title="如何">如何</a>, <a href="https://www.iamivan.net/tag/%e6%a1%86%e6%9e%b6/" title="框架">框架</a>, <a href="https://www.iamivan.net/tag/eclipse%e6%8f%92%e4%bb%b6/" title="eclipse插件">eclipse插件</a>, <a href="https://www.iamivan.net/tag/%e5%9b%be%e5%bd%a2%e6%8f%92%e4%bb%b6/" title="图形插件">图形插件</a>, <a href="https://www.iamivan.net/tag/%e5%88%9b%e5%bb%ba%e6%8f%92%e4%bb%b6/" title="创建插件">创建插件</a>, <a href="https://www.iamivan.net/tag/%e6%8f%92%e4%bb%b6%e5%bc%80%e5%8f%91%e6%95%99%e7%a8%8b/" title="插件开发教程">插件开发教程</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>创建Eclipse游戏插件，第1部分: 入门的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2yngBz.html" rel="bookmark">创建Eclipse游戏插件，第4部分&colon; 打包、测试和发布</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				虽然大多数用户都把 Eclipse 当成构建 Java 应用程序的集成开发环境,但实际上它是更基本的东西.Eclipse 是一个用于构建插件的框架,允许扩展其功能去解决几乎任何问题 -- 只要利用一套 API 和现成可用的库.在这份四个部分的 &quot;创建 Eclipse 游戏插件&quot; 教程系列中,将解决大多数程序员每天都会遇到的一个迫切问题:如何不用切换应用程序就抽出时间玩一个迅速的视频游戏,还能让它不太明显.教程中将开发一个简单的游戏,读取进入视图的虫子,并把它们打爆.游戏将在 Eclip			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2E6yM.html" rel="bookmark">创建Eclipse游戏插件，第3部分&colon; 启动游戏</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				虽然多数用户都把 Eclipse 当成构建 Java 应用程序的集成开发环境,实际上它是更基本的东西.Eclipse 是构建插件的框架,允许扩展其功能去解决几乎任何问题 -- 只要利用一套 API 和现成可用的库.在这份四个部分的 &quot;创建 Eclipse 游戏插件&quot; 教程系列中,将解决多数程序员每天都会遇到的一个迫切问题:如何不用切换应用程序就抽出时间玩一个迅速的视频游戏,还能让它不太明显.教程中将开发一个简单的程序,读取进入视图的虫子,并把它们打爆.游戏将在 Eclipse 中作为插			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY2JlVp.html" rel="bookmark">创建Eclipse游戏插件，第2部分&colon; 构建和发射BB枪</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				虽然多数用户都把 Eclipse 当成构建 Java 应用程序的集成开发环境,实际上它是更基本的东西.Eclipse 是用于构建插件的框架,允许扩展其功能来解决几乎任何问题 -- 只要利用一套 API 和现成可用的库.在这份四个部分的 &quot;创建 Eclipse 游戏插件&quot; 教程系列中,将解决多数程序员每天都会遇到的一个迫切问题:如何不用切换应用程序就抽出时间玩一个迅速的视频游戏,还能让它不太明显.教程中将开发一个简单的程序,读取进入视图的虫子,并把它们击碎.游戏将在 Eclipse 中作			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4e9Zrb.html" rel="bookmark">eclipse maven插件快速创建自定义web项目流程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 自己想做点小东西 做点例子什么的 每次都得手动建项目.. 找jar... 配置n多配置文件... 太麻烦... 请教下maven快速创建web项目的流程.. 能自定义框架的. 比如 ssh2 或 springmvc ibatis 等. 麻烦给个完整的流程 或 文章. 谢谢 解决方案 1. 通过命令行创建. 具体命令网上一搜一大把. 也可以参考maven官网快速指南. 有中文的. 通过命令创建好后 mvn eclipse:eclipse 在使用工具导入即可. 然后编辑pom2. 通过ec			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze4PjOp.html" rel="bookmark">创建和打包Eclipse源代码插件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Eclipse插件开发过程中,为了更好的维护和管理插件项目构建路径,最好将以前的单纯的Jar包转 换成Eclipse的插件包,如果属于开源的类库的话,我们可以获得它的源代码文件,在Eclipse中可以和容 易的查看和跟踪源文件,但有时我们也会碰到Source not found 的提示,比如这样: 碰到这样的情况,如果有源代码的话,可以新建一个源代码插件,这样就可以直接查看源代码文件, 否则的话只能想其他办法,比如装一个反编译的插件,不过有时好像反编译的不好,处理常量的时候会乱 ,而且还没有J			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2Zg1M.html" rel="bookmark">探索Eclipse的插件签名机制</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				副标题:学习如何在 Eclipse 和 IBM Lotus Expeditor 中创建带签名插件 简介:在为软件安装插件时,安全性是一个很重要的问题.本文探索在 Eclipse 平台上使用的签名技 术,确定插件的可信度.Eclipse 将插件分为 5 类:签名的.未签名的.可信的.不可信的.过期的. 通过本文学习如何在 Eclipse 和 IBM Lotus Expeditor(基于 Eclipse 的产品)中创建带 签名的插件. 本文介绍了 Eclipse 插件签名及其应用.此外,还介绍了 I			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLm2vLz.html" rel="bookmark">怎样创建一个Xcode插件（part 1）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:How To Create an Xcode Plugin: Part 1/3 原作者:Derek Selander 译者:@yohunl 译者注:原文使用的是xcode6.3.2,我翻译的时候,使用的是xcode7.2.1,经过验证,文章中说说的依然是有效的.在文中你可以学习到一系列的技能,非常值得一看. 苹果的&quot;一个足以应付所有&quot;策略使得它的产品越来越像一个难以下咽的药丸.尽管苹果已经将一些工作流带给了iOS/OS X的开发者,我们仍然希望通过插件来使得Xcode更加顺手!			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zG1ePnM.html" rel="bookmark">使用Eclipse OSS插件提高您的工作效率</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				阿里云Eclipse插件系列已经发布,阿里云OSS产品插件通过图形化界面为您提供简便.易用.高效的OSS存储管理服务,您可以创建.删除.编辑Bucket,可以设置Bucket的各项属性.同时也可以上传文件.获得文件的URL等功能. 假设您第一次使用Eclipse OSS插件,不知道如何下手,下面我们来介绍那些功能将是您最佳的管理助手. 1. Bucket是一个盛放文件的大桶,没有Bucket您是无法使用OSS的,首先您可以先创建一个Bucket.     创建Bucket需要注意: 1) 名字的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lpd91Az.html" rel="bookmark">Eclipse&plus;php插件&plus;Xdebug搭建PHP完美开发&sol;调试环境指南</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近要开始使用Zend框架开发中型应用系统了,由于采用完全面向对象的框架思路开发程序,不光开发思想,先前的Editplus+Dreamweaver编辑器组合显然不能满足我的要求了.我的新环境初步定为Eclipse+PDT插件+Xdebug+Apache. 先前一直对dotNET.Java的IDE的代码自动嗅探.代码提示.程序断点调试等等自动化功能羡慕不已,而自己写PHP只能靠着echo.var_dump()来调试程序,能不能让PHP也实现断点调试呢?先前在Eclipse的PHP插件中发现了Deb			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeWZxM.html" rel="bookmark" class="title">OOP和RDBMS不匹配，谁向谁妥协，还是找个和稀泥的？</a>
					<div>
						OOP和RDBMS不匹配        OOP的面向对象理论和RDBMS所基于的关系理论本来就不是一回事,理论不同,不匹配是很正常的事情,主要有以下表现:粒度   为了概念的清晰和责任的单一,对象的设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMge25z.html" rel="bookmark" class="title">Photoshop鼠绘教程&colon;古装美女头像</a>
					<div>
						鼠绘人物的关键是五官及头发部分的刻画,虽然教程中没有多少文字介绍,但是这些是鼠绘中最为基础的部分.最好是要熟练掌握一套有效的方法.然后多加练习,这样才能画出神韵兼优的作品. 最终效果 1.新建一个大小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo625dz.html" rel="bookmark" class="title">如何手动调用playground的XCPCaptureValue以展示Swift过程数据</a>
					<div>
						playground可以实时显示程序的运行结果,有时我们使用循环或嵌套.迭代,那么数据的展示就可能要分批和对比,这样才能看出结果,有时我们可以直接从图形上瞄一眼就知道程序对不对了.playground ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jZ4xb.html" rel="bookmark" class="title">Adaptive Server Anywhere的主要用途</a>
					<div>
						Adaptive Server Anywhere 提供一系列用来存储和管理数据的工具.您可以使用这些工具将数据输入数据库中,更改数据库结构,以及查看或变更数据. Adaptive Server Any ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyVK3b.html" rel="bookmark" class="title">为Linux各种应用服务器配置Clamav防毒工具</a>
					<div>
						很少的病毒能够在linux的运行和繁衍.而且,由于目前客户端计算机都使用的是Windows,所以病毒制造者们更愿意去写Windows下的病毒.但是还有很多的原因能致使您使用一些病毒扫描程序的,比如:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjYwep.html" rel="bookmark" class="title">flash制作简单会动的移动版gif图片</a>
					<div>
						  打开flash软件,如图我们选折新建项第一个:flash文件(Actionscript 3.0). 新建完成后,我们就要开始做gif的图片了,首先我们需要一张图片,我拿等边5边型做例子做图,选择左 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOPg5M.html" rel="bookmark" class="title">iPhone更改UISwitch上的text</a>
					<div>
						  更改UISwitch上的text 为要更改Text的UISwitch建立IB连接:例如mySwitch,在代码中改变文字: ((UILabel *)[[[[[[self.mySwitch subv ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PojAM.html" rel="bookmark" class="title">win7系统经常假死怎么办</a>
					<div>
						操作步骤 1.右击计算机,选择属性. 2.在弹出的系统界面,右击左侧的高级系统设置. 3.在高级选项卡下,点击性能里面的设置按钮. 4.在视觉效果标签,勾选自定义,然后把所有特效功能全部取消勾选.   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EjYvM.html" rel="bookmark" class="title">XP系统弹出Ravmond&period;exe应用程序错误提示框如何解决</a>
					<div>
						XP系统弹出Ravmond.exe应用程序错误提示框如何解决   原因分析: 此电脑上安装了多套安全软件,Ravmond.exe为瑞星杀毒软件的监控程序,且瑞星工作不正常,最后将瑞星卸载掉后解决该问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pP8XKDp.html" rel="bookmark" class="title">MSN联系人的备份实用技巧</a>
					<div>
						说完了QQ的几项备份方法,一定有些朋友会想再了解些MSN的重要数据备份和转移了.当然,我们也确实应当随时备份MSN Messenger的联系人名单,以防出现联系人名单丢失的惨剧发生. 打击MSN Me ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBPAqz.html" rel="bookmark" class="title">可爱插画帮你了解MAC OS X的变化发展史</a>
					<div>
						  早期OS X操作系统在苹果内部以大型猫科动物为代号,之后就干脆直接以这些动物代号做为对外商标,成为各系统版本的简称,直到这一两年来才有所改变.今天咱们特别为大家整理.介绍OS X发展史,帮大家温故 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPkdDp.html" rel="bookmark" class="title">一名工程师对于深度学习的理解－神经网络基础ANN</a>
					<div>
						序 读书期间对于深度学习也有涉及,不过只是皮毛,在这个数据和算法的时代,也需要更加贴近算法.于是从一名工程师角度出发,希望通过几篇文章,将深度学习基础记录下来,同时也是对于自己学习的总结和积累.总体思 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxgv8b.html" rel="bookmark" class="title">基于用户投票的排名算法（一）：Delicious和Hacker News</a>
					<div>
						互联网的出现,意味着&quot;信息大爆炸&quot;. 用户担心的,不再是信息太少,而是信息太多.如何从大量信息之中,快速有效地找出最重要的内容,成了互联网的一大核心问题. 各种各样的排名算法,是目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6NXxb.html" rel="bookmark" class="title">我在腾讯过得怎么样</a>
					<div>
						作者:高昌健 我之前在 PC QQ(以下简称 QQ)部门做过一段时间客户端开发,就讲讲我的一些经历. 开发每个人有两台联想台式机,预装 Win 7 和一堆内网监控软件,你懂的.配置还可以,不过其实开发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3xRvz.html" rel="bookmark" class="title">net menu 动态获取-Ext&period;net 2&period;5 中想要实现menu及子菜单动态从数据库中获取，如何实现</a>
					<div>
						问题描述 Ext.net 2.5 中想要实现menu及子菜单动态从数据库中获取,如何实现 解决方案 看ext.net的例子代码,然后将写死的菜单数据部分修改为从数据库读取就可以了.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjKLBp.html" rel="bookmark" class="title">SQL Server 2008支持将数据导出为脚本</a>
					<div>
						以前我们要将一个表中的数据导出为脚本,那么只有在网上找一个导出数据的Script,然后运行就可以导出数据脚本了.现在在SQL Server 2008的Management Studio中增加了一个新特 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZ3l9b.html" rel="bookmark" class="title">《Adobe InDesign CC经典教程》&mdash;第1课1&period;2节观察熟悉工作区</a>
					<div>
						1.2 观察熟悉工作区 Adobe InDesign CC经典教程 InDesign工作区包括了用户第一次打开或创建一个文档看到的一切: 菜单栏 应用栏 控制面板 工具面板 其他面板 文档窗口 粘贴板 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQJEap.html" rel="bookmark" class="title">《数据库技术原理与应用教程》一3-4 世界与概念模型</a>
					<div>
						3-4 世界与概念模型 概念世界是一个较为抽象化的世界,它给出了数据的概念化结构.概念世界一般用概念模型表示.本书选用ER模型表示概念世界. ER模型(entityrelationship mo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40xmjz.html" rel="bookmark" class="title">SM Meetup第二讲：互联网&plus;时代下的数据处理技巧</a>
					<div>
						问题描述 我们正处于云计算.大数据.移动技术以及物联网等多元化信息技术变革时代,由此产生的数据正以几何层级激增,随着互联网+时代的到来,更多互联网业务中的深度应用需求会越来越细化.这些需求对数据处理平 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1J4Nz.html" rel="bookmark" class="title">Social &amp;amp&semi;amp&semi;amp&semi; Mobile Meetup开课啦！</a>
					<div>
						问题描述 解决方案 哪个呦,发这么好的帖子,顶你static/image/common/sigline.gif90%打工小伙一生都不可能知道的秘密 http://11575.360kuyi.com/解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYXkyQb.html" rel="bookmark" class="title">愿做网信长征路上的特种兵</a>
					<div>
						8月29日上午,甘肃省白银市会宁县迎来了百余名网络媒体人,在中国工农红军胜利会师地会宁旧址正式启动了&quot;北京网络媒体红色故土·甘肃行&quot;活动,随后他们来到中国工农红军第一二四方面军会师 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnJeNM.html" rel="bookmark" class="title">跨网络文件传输</a>
					<div>
						问题描述 我需要实现在不同局域网的机器进行文件传输,有一台公网服务器,我试了网上说的nat打洞,但打不通,请问该如何实现,有会的请指点下 解决方案 解决方案二:我觉得你还是用服务器转发吧打不通也正常, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwG3dM.html" rel="bookmark" class="title">数据库-windows命令行指令输入密码命令</a>
					<div>
						问题描述 windows命令行指令输入密码命令 现在有个问题就是我需要在命令行执行mysql的一条指令可以将本地的sql文件直接读取到数据库中.直接在命令行执行的时候回车后会让你输入数据库密码.输入完 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrq4EOb.html" rel="bookmark" class="title">计算机新增病毒五年翻400倍 正规软件也暗藏&OpenCurlyDoubleQuote;小动作&rdquo;&quest;</a>
					<div>
						杀毒软件行业&quot;混战&quot;追踪 自5月21日金山与奇虎360正式开战以来,杀毒软件行业的硝烟至今依然四处弥漫.近日,奇虎董事长周鸿祎爆料:目前很多正规软件也用一些灰色的手段,给用户电脑带 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkEDlM.html" rel="bookmark" class="title">下代Google Glass将更像眼镜 通过镜片显示画面</a>
					<div>
						现在有一件事情已经得到了Google的证实,那就是Google Glass将支持自选镜框与镜片,这对于近视眼的用户来说无疑是个好消息.这意味着Google Glass是一种模块化设计,可以被安装到一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBk7moM.html" rel="bookmark" class="title">默多克一日内连失&OpenCurlyDoubleQuote;左膀右臂&rdquo;</a>
					<div>
						新华社供本报特稿 (韩梁)新闻集团旗下道琼斯公司首席执行官莱斯·欣顿15日因&lt;世界新闻报&gt;非法窃听案辞职,成为新闻集团内部继国际新闻公司首席执行官丽贝卡·布鲁克斯之后离开的第二名资深高级管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2ZB6M.html" rel="bookmark" class="title">org&lowbar;name是什么</a>
					<div>
						问题描述 http://www.easemob.com/docs/rest/userapi/ 在上面的文档当中,有几个参数没有说明.在每个请求的 URL 的 PATH 中,{app_name}应该是我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNPvep.html" rel="bookmark" class="title">Ubeam：用超声波为iPhone无线充电 融资百万</a>
					<div>
						北京时间7月12日消息,美国一家生产超声波充电器的初创企业UBeam融资100万美元.该公司由22岁的宾夕法尼亚州大学女毕业生佩里(Meredith Perry)创办.UBeam同时也是产品名称,可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3YKw7p.html" rel="bookmark" class="title">网站优劣：只有不差钱的人还在穷开心</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 昨天看到一条新闻,说某知名记者在程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmR5Yqz.html" rel="bookmark" class="title">使用SHELL脚本按照一定规则，拆分成两个文件</a>
					<div>
						问题描述 文件A要把它拆成B和C两个文件,并且B和C的格式与A的格式一样.例如:A文件内有如下格式的数据,每行数据的字段用空格分割,每个字段固定长度.0200 000000000001 11111 0 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
